Name:           perl-IP-Country
Version:        2.26
Release:        2%{?dist}
Summary:        Fast lookup of country codes from IP addresses
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IP-Country/
Source0:        http://www.cpan.org/modules/by-module/IP/IP-Country-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
IP::Country allows fast lookups of IP addresses and their corresponding
countries based on available regional NIC data.
Although the country of assignment will probably be the country associated
with a large ISP rather than the client herself, this is probably good 
enough for most log analysis applications, and under test has proved to be as
accurate as reverse-DNS and WHOIS lookup.


%package utils
Summary:        Utility to query and rebuild the IP::Country database
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description utils
ip2cc is a frontend to the IP::Country Perl module allowing fast lookups of
IP addresses and their corresponding countries based on available regional
NIC data.

ipcc_loader.pl can be used to rebuild the database with current dumps of
the RIPE/APNIC/ARIN et al data.

%prep
%setup -q -n IP-Country-%{version}
find -name '._*' | xargs rm -f

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files utils
%defattr(-,root,root,-)
%doc dbmScripts INSTALL
%{_bindir}/ip2cc
%{_mandir}/man1/ip2cc.1*


%changelog
* Thu Feb 19 2009 Andreas Thienemann <andreas@bawue.net> 2.26-2
- Removed dotfiles, added %%defattr to -utils

* Thu Feb 19 2009 Andreas Thienemann <andreas@bawue.net> 2.26-1
- Updated to upstream release 2.26

* Mon Feb 18 2008 Andreas Thienemann <athienem@redhat.com> 2.23-1
- Specfile autogenerated by cpanspec 1.74.
- Fixed up for fedora
